/* Start Global */
:root {
    --primary: orange;
    --secondary: #b6a22e;
    --third: #ff7878;
}

* {
    box-sizing: border-box;
    font-family: 'Tajawal', 'Courier New', Courier, monospace;
}

html,
body {
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    background: #f7f7f7;
}

a {
    text-decoration: none;
}

button {
    border: none;
    outline: none;
}

.cards-container {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 1rem;
    grid-gap: 1rem;
}

@media (max-width: 1199px) {
    .cards-container {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media (max-width: 767px) {
    .cards-container {
        grid-template-columns: minmax(0, 1fr);
    }
}

.primary-btn {
    color: #fff;
    padding: 0.5rem 0.75rem;
    border-radius: 15px;
    background: var(--primary);
    font-weight: bold;
    display: inline-flex;
    text-align: center;
    justify-content: center;
}
/* End Global */

/* Start Header */
.navbar {
    background: #fff;
    margin-bottom: 2rem;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.2);
    padding: 0.75rem;
    border-bottom: 2px solid var(--primary);
    position: sticky;
    top: 0;
    z-index: 5;
}

.navbar-nav {
    width: 100%;
}

.main-navbar {
    display: flex;
    width: 100%;
}

@media (max-width: 991px) {
    .main-navbar {
        flex-wrap: wrap;
    }

    .navbar-nav .primary-btn {
        background: none;
        color: var(--primary) !important;
    }
}

.navbar-brand img {
    width: 220px
}

.nav-item a {
    color: #333;
}

.nav-item a:hover {
    color: var(--secondary);
}

.navbar-toggler {
    margin-right: auto;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-toggler .navbar-toggler-icon {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    grid-gap: 0.5rem;
}

.navbar-toggler .navbar-toggler-icon .dash {
    display: block;
    width: 30px;
    height: 3px;
    background: var(--primary);
}

.collapse {
    width: 100%;
}

.collapsed .navbar-toggler .navbar-toggler-icon .dash {
    background: var(--third);
}
/* End Header */

/* Start Hero Section */
.hero-section-holder {
    position: relative;
    height: 450px;
    border-radius: 15px;
    overflow: hidden;
}

@media (max-width: 767px) {
    .hero-section-holder {
        height: 300px;
    }
}

.hero-section-holder::before {
    content: '';
    background: rgba(0,0,0, .4);
    position: absolute;
    inset: 0;
    z-index: 1;
}

.hero-section-holder img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-section-holder .hero-section-content {
    position: relative;
    z-index: 1;
    display: flex;
    flex-direction: column;
    height: 100%;
    justify-content: center;
    align-items: flex-start;
    padding: 0 2rem;
    gap: 1rem;
}

.hero-section-holder .hero-section-content h1 {
    color: #fff;
    font-weight: bold;
    font-size: 42px;
}

.hero-section-holder .hero-section-content p {
    color: #fff;
    font-size: 24px;
    max-width: 500px;
}

.hero-section-holder .hero-section-content a {
    color: #fff;
    padding: 0.5rem 0.75rem;
    border-radius: 15px;
    background: var(--primary);
    font-weight: bold
}

@media (max-width: 991px) {
    .hero-section-holder .hero-section-content h1 {
        font-size: 32px;
    }

    .hero-section-holder .hero-section-content p {
        font-size: 18px;
    }
}

@media (max-width: 575px) {
    .hero-section-holder .hero-section-content h1 {
        font-size: 28px;
    }

    .hero-section-holder .hero-section-content p {
        font-size: 16px;
    }
}
/* End Hero Section */

/* Start Car Card */
.car-card {
    display: flex;
    flex-direction: column;
    background: #fff;
    border-radius: 15px;
    overflow: hidden;
    border: 1px solid #eee;
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
}

.car-card .car-card--img {
    position: relative;
}

.car-card .car-card--img::before {
    pointer-events: none;
    opacity: 0;
    transition: .2s all ease-in-out;
    content: '';
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.car-card .car-card--img::after {
    pointer-events: none;
    opacity: 0;
    transition: .2s all ease-in-out;
    content: '';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: url('imgs/eye.png') no-repeat;
    background-position: center;
    background-size: 80% 80%;
    background-color: #ffffff6c;
}

.car-card .car-card--img:hover::before,
.car-card .car-card--img:hover::after {
    opacity: 1;
}

.car-card .car-card--img img {
    width: 100%;
    aspect-ratio: 16/9;
    height: 100%;
    object-fit: cover;
}

.car-card .car-card--details {
    padding: 1rem;
    border-top: 1px solid #eeeeeea4;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    grid-gap: 0.5rem;
}

.car-card .car-card--details > div,
.car-card .car-card--details a.latest-bid-content {
    color: #747474;
}

.car-card .car-card--details .info-title {
    font-weight: 500;
    color: #333;
    display: block;
}

.car-card .car-card--details .car-name {
    color: var(--secondary);
    font-weight: bold;
}

.car-card .car-card--details .latest-bid-content {
    cursor: pointer;
    transition: .2s all ease-in-out;
}

.car-card .car-card--details .latest-bid-content:hover {
    color: var(--third);
}

.car-card .car-card--details .latest-bid-content img {
    width: 16px;
}

.car-card .car-card--details .bid-btn .primary-btn {
    font-size: 13px;
    background: var(--primary);
    color: #fff;
    padding: 0.45rem 1rem;
    margin-top: 0.5rem;
    border-radius: 10px;
    transition: 0.2s all ease-in-out;
}

.car-card .car-card--details .bid-btn .primary-btn:hover {
    background: var(--third);
}
/* End Car Card */

/* Start Info Section */
.information-content {
    box-shadow: 0 0 6px rgba(0, 0, 0, 0.05);
    padding: 2rem 1rem;
    border: 1px solid silver;
    border-radius: 10px;
    display: flex;
    gap: 2rem 1rem;
    grid-gap: 2rem 1rem;
    justify-content: space-around;
    background: #fff;
    position: relative;
}

.information-content::before {
    content: '';
    right: 50%;
    transform: translate(50%, -50%);
    height: 80%;
    top: 50%;
    width: 1px;
    background: #3c3c3c5b;
    position: absolute;
}

@media (max-width: 767px) {
    .information-content {
        flex-direction: column;
    }

    .information-content::before {
        display: none;
    }
}

.information-content .info-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 0 0 50%;
    text-align: center;
}

.information-content .info-item .info-title-icon {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    grid-gap: 0.5rem;
    align-items: center;
}

.information-content .info-item .info-title-icon .info-icon img {
    width: 75px;
    height: 75px;
    object-fit: scale-down;
}

.information-content .info-item .info-title-icon .info-title {
    font-weight: bold;
    color: var(--primary);
}
/* End Info Section */

/* Start Pagination */
.pagination {
    display: flex;
    gap: 0.5rem;
    grid-gap: 0.5rem;
    align-items: center;
    justify-content: center;
}

.page-wrapper {
    display: none;
}

.page-wrapper.expanded {
    display: block;
}

.pagination .page-item {
    padding: 0.5rem;
    width: 40px;
    height: 40px;
    background: #585858;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    border-radius: 10px;
    cursor: pointer;
    transition: .3s all ease-in-out;
    font-size: 18px;
}

.pagination .page-item:hover {
    background: var(--primary);
}

.pagination .page-item.active {
    background: var(--primary);
}
/* End Pagination */

/* Start Footer */
footer {
    background: #333;
    padding: 1rem;
}

footer .footer-contents {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: center;
    gap: 1rem;
    grid-gap: 1rem;
}

footer .footer-contents .footer-brand img {
    width: 200px;
}

footer .footer-contents .footer-copyrights span {
    color: #fff;
}

footer .footer-contents .footer-contact-us img {
    width: 100px;
}

@media (max-width: 991px) {
    footer {
        padding: 0.5rem 1rem;
    }

    footer .footer-contents {
        flex-direction: column;
        align-items: center;
    }

    footer .footer-contents .footer-brand img {
        display: none;
    }

    footer .footer-contents .footer-contact-us img {
        display: none;
    }
}
/* End Footer */

/* Start Login Section */
.login-section {
    height: 60vh;
    display: flex;
    align-items: center;
}

@media (max-width: 991px) {
    .login-section {
        height: auto;
        margin-bottom: 3rem;
    }
}

.login-section h1 {
    color: #333;
}

.login-form-container {
    background: #333;
    box-shadow:0 0 15px rgba(0, 0, 0, 0.2);
    max-width: 600px;
    margin: auto;
    min-height: 400px;
    display: flex;
    flex-direction: column;
    border-radius: 15px;
    overflow: hidden;
    padding: 1.5rem;
    align-items: center;
}

.login-form-container .login-logo {
    text-align: center;
}

.login-form-container .login-logo img {
    max-width: 300px;
    width: 100%;
}

.fields-container {
    max-width: 300px;
    width: 100%;
    margin-top: 2rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    grid-gap: 1.5rem;
}

.fields-container input {
    width: 100%;
    padding: 0.75rem 1rem;
    text-align: right;
    outline: none;
    border-radius: 10px;
    border: none;
}

.fields-container .primary-btn {
    padding: 0.75rem 1rem;
    transition: 0.2s all ease-in-out;
}

.fields-container .primary-btn:hover {
    background: var(--third);
}
/* End Login Section */